package ueb041midiplayer;

import java.io.File;
import javax.sound.midi.*;

public class Song {
	  
	  private File file;
	  private Sequence sequence;
	  
	  
	  public Song(File file, Sequence sequence) {
	    this.file = file;
	    this.sequence = sequence;
	  }
	  
	  
	  public File getFile() {
	    return file; 
	  }
	  
	  public Sequence getSequence() {
	    return sequence; 
	  }
	  
	  public String getName() {
	    return file.getName().replace(".mid", "").replace("_", " ");
	  }
	}
